<?php
require("../../database/dbConection.php");


# ---- SELECIONAR PROCEDIMENTOS AGUARDANDO AGENDAMENTO ---- #
$numeroPosicao  = 0;

$sqlAguardando = "SELECT 
reg_tb_solicitacoes.id_procedimento
FROM reg_tb_solicitacoes
WHERE (reg_tb_solicitacoes.id_statussolicitacao=2)
GROUP BY reg_tb_solicitacoes.id_procedimento";
$stmAguardando  = $rsConexao->prepare($sqlAguardando);
$stmAguardando  -> execute();

if($stmAguardando->rowCount()>0){
  $rsAguardando = $stmAguardando->fetchAll(PDO::FETCH_ASSOC);
  foreach($rsAguardando As $fieldAguardando){
    $idProcedimento = $fieldAguardando['id_procedimento'];
    $sqlSelecionaRegistros = "SELECT 
    id_solicitacao, 
    id_procedimento,
    posicao_fila,
    datahora_analise, 
    datahora_cadastro, 
    DATE_FORMAT(datahora_cadastro, '%Y%m%d%H%i') AS dataHoraCad 
    FROM reg_tb_solicitacoes 
    WHERE (reg_tb_solicitacoes.id_statussolicitacao=2 AND id_procedimento='$idProcedimento')
    ORDER BY DATE_FORMAT(datahora_cadastro, '%Y%m%d%H%i') ASC";
    $stmSelecionaRegistros  = $rsConexao->prepare($sqlSelecionaRegistros);
    $stmSelecionaRegistros  -> execute();
    if($stmSelecionaRegistros->rowCount()>0){
      $rsSelecionaRegistros = $stmSelecionaRegistros->fetchAll(PDO::FETCH_ASSOC);
      foreach($rsSelecionaRegistros As $fieldSelecionaRegistros){
        $numeroPosicao      = $numeroPosicao + 1;
        $idSolicitacao      = $fieldSelecionaRegistros['id_solicitacao'];        
        $stmAtualizaPosicao = $rsConexao->prepare("UPDATE reg_tb_solicitacoes SET posicao_fila='$numeroPosicao' WHERE id_solicitacao='$idSolicitacao'");
        $stmAtualizaPosicao -> execute();
      }
      $numeroPosicao  = 0;
    }
  }
}


?>